<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Insert-batch.aspx.cs" Inherits="Insert_batch" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Insert a DataTable with a SqlDataAdapter or SqlBulkCopy</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <h1>Insert a DataTable with a SqlDataAdapter or SqlBulkCopy</h1>
    You can insert many rows to a database table if you create a DataTable and insert this DataTable with a 
    SqlDataAdapter or SqlBulkCopy. A DataTable is a two-dimensional table with columns and rows that stores 
    data in memory. In this example we are creating a DataTable by looping through the rows in a ASP.NET table. 
    We have two different methods in the HeadCategories class that can be used to insert the rows in a DataTable into a
    MS SQL table, you can see the HeadCategories class in the "App_Code" folder.<br />
    <br />
    In this example you can choose to insert a DataTable with the method that uses a
    SqlDataAdapter or the method that uses SqlBulkCopy, there are one button for each
    method and code that handles the click event for each button.<br />
    <br />
    The HeadCategories class have two methods that can be used to insert many headcategories at the same time. The methods
    to insert many rows need a DataTable as a parameter and we therefore have to create a DataTable and send this to the
    methods.<br />
    <br />
    <asp:TextBox ID="txtAddRows" runat="server" Text="1" Width="36px"></asp:TextBox>
    <asp:Button ID="btnAddRowsToTable" runat="server" Text="Add rows to the table" OnClick="btnAddRowsToTable_Click" /><br />
    <br />
    <asp:Table ID="ManyRowsTable" style="Width: 600px" runat="server">
        <asp:TableHeaderRow>
            <asp:TableHeaderCell>Linkname</asp:TableHeaderCell>
            <asp:TableHeaderCell>Description</asp:TableHeaderCell>
        </asp:TableHeaderRow>
        <asp:TableRow>
            <asp:TableCell><asp:TextBox ID="txtLinkName1" runat="server" Width="95%"></asp:TextBox></asp:TableCell>
            <asp:TableCell><asp:TextBox ID="txtDescription1" runat="server" Width="95%"></asp:TextBox></asp:TableCell>
        </asp:TableRow>
    </asp:Table>
    
    <br />
    <asp:Button ID="btnInsertSqlDataAdapter" runat="server" Text="Insert DataTable with a SqlDataAdapter" Width="400px" OnClick="btnInsertSqlDataAdapter_Click" /><br />
    <asp:Button ID="btnInsertSqlBulkCopy" runat="server" Text="Insert DataTable with SqlBulkCopy" Width="400px" OnClick="btnInsertSqlBulkCopy_Click" /><br />
    <asp:Label ID="lblInsertTime" runat="server" ForeColor="Red" Text=""></asp:Label><br />
    <br />
    </div>
    </form>
</body>
</html>
